%global debug_package %{nil}

Name:           protozero
Version:        1.5.2
Release:        3%{?dist}
Summary:        Minimalistic protocol buffer decoder and encoder in C++

License:        BSD
URL:            https://github.com/mapbox/protozero
Source0:        https://github.com/mapbox/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  doxygen graphviz
BuildRequires:  protobuf-devel protobuf-lite-devel protobuf-compiler
BuildRequires:  catch-devel

%description
Minimalistic protocol buffer decoder and encoder in C++.

Designed for high performance. Suitable for writing zero copy parsers
and encoders with minimal need for run-time allocation of memory.

Low-level: this is designed to be a building block for writing a
very customized decoder for a stable protobuf schema. If your protobuf
schema is changing frequently or lazy decoding is not critical for your
application then this approach offers no value: just use the decoding
API available via the C++ API that can be generated via the Google
Protobufs protoc program.


%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
Minimalistic protocol buffer decoder and encoder in C++.

Designed for high performance. Suitable for writing zero copy parsers
and encoders with minimal need for run-time allocation of memory.

Low-level: this is designed to be a building block for writing a
very customized decoder for a stable protobuf schema. If your protobuf
schema is changing frequently or lazy decoding is not critical for your
application then this approach offers no value: just use the decoding
API available via the C++ API that can be generated via the Google
Protobufs protoc program.


%prep
%autosetup -p 1 -n %{name}-%{version}
rm -f test/include/catch.hpp


%build
%make_build doc


%install
mkdir -p %{buildroot}%{_includedir}
cp -pr include/protozero  %{buildroot}%{_includedir}


%check
%make_build test CXXFLAGS="-I/usr/include/catch %{optflags}" DEBUG_FLAGS=""


%files devel
%doc README.md doc/*.md doc/html
%license LICENSE.md LICENSE.from_folly
%{_includedir}/protozero


%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jul  1 2017 Tom Hughes <tom@compton.nu> - 1.5.2-1
- Update to 1.5.2 upstream release

* Mon Feb 13 2017 Tom Hughes <tom@compton.nu> - 1.5.1-3
- Add patch for Catch 1.7.1 support

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 14 2017 Tom Hughes <tom@compton.nu> - 1.5.1-1
- Update to 1.5.1 upstream release

* Thu Jan 12 2017 Tom Hughes <tom@compton.nu> - 1.5.0-1
- Update to 1.5.0 upstream release

* Sat Nov 19 2016 Tom Hughes <tom@compton.nu> - 1.4.5-1
- Update to 1.4.5 upstream release

* Tue Nov 15 2016 Tom Hughes <tom@compton.nu> - 1.4.4-1
- Update to 1.4.4 upstream release

* Sat Sep 10 2016 Tom Hughes <tom@compton.nu> - 1.4.2-2
- Rebuild to add aarch64 support

* Sat Sep 10 2016 Tom Hughes <tom@compton.nu> - 1.4.2-1
- Update to 1.4.2 upstream release

* Thu Aug  4 2016 Tom Hughes <tom@compton.nu> - 1.4.0-1
- Update to 1.4.0 upstream release

* Fri Feb 19 2016 Tom Hughes <tom@compton.nu> - 1.3.0-1
- Update to 1.3.0 upstream release
- Enable tests on ARM

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec  2 2015 Tom Hughes <tom@compton.nu> - 1.2.3-1
- Update to 1.2.3 upstream release

* Tue Nov 10 2015 Tom Hughes <tom@compton.nu> - 1.2.2-2
- BuildRequire graphviz for documentation

* Sun Oct 18 2015 Tom Hughes <tom@compton.nu> - 1.2.2-1
- Update to 1.2.2 upstream release

* Fri Oct  9 2015 Tom Hughes <tom@compton.nu> - 1.2.0-1
- Update to 1.2.0 upstream release

* Fri Sep 18 2015 Tom Hughes <tom@compton.nu> - 1.1.0-3
- Unbundle catch.hpp
- Fix warnings compiling tests

* Mon Sep  7 2015 Tom Hughes <tom@compton.nu> - 1.1.0-2
- Add description for devel package
- Build tests with correct flags

* Sat Aug 29 2015 Tom Hughes <tom@compton.nu> - 1.1.0-1
- Update to 1.1.0 upstream release

* Sat Aug 15 2015 Tom Hughes <tom@compton.nu>
- Initial build
